Name:           sh2dash
Version:        0.1
Release:        1%{?dist}

Summary:        Redirector from /bin/sh to dash
License:        GPLv3+
Url:            https://lslebodn.fedorapeople.org/

Source0:        sh2dash.c

BuildRequires:  gcc

Requires:       dash

%description
Some projects might want to use dash as a default shell /bin/sh.
In many cases, changing environment variable SHELL will not help
becasue many executable scripts have hardcode "/bin/sh" in shebang.

This package add posibility to redirect execution of /bin/sh to dash,
which is in many cases faster than default bash.
To use it set the following environment variable:

LD_PRELOAD=sh2dash.so

%prep
cp -p %SOURCE0 .

%build
gcc -Wall -fPIC -shared -o sh2dash.so sh2dash.c -ldl

%install
install -d %{buildroot}/%{_libdir}
install -m755 sh2dash.so %{buildroot}/%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/sh2dash.so

%changelog
* Tue Sep 08 2015 Lukas Slebodnik <lslebodn@redhat.com> - 0.1-1
- Initial version 0.1
